From 38ad389ef006334e7de93625092c85502d465429 Mon Sep 17 00:00:00 2001
From: Adrian Taylor <adrian@macrobug.com>
Date: Jan 24 2021 16:08:46 +0000
Subject: [PATCH 2059/2232] Prevent pointers in Vector, UniquePtr.


For now. This could be supported in future.

---

diff --git a/tests/ui/unsupported_ptr.rs b/tests/ui/unsupported_ptr.rs
index 773afe8..a3b5cc4 100644
--- a/tests/ui/unsupported_ptr.rs
+++ b/tests/ui/unsupported_ptr.rs
@@ -27,4 +27,14 @@ mod ffi3 {
     }
 }
 
+#[cxx::bridge]
+mod ffi4 {
+    unsafe extern "C++" {
+        type C;
+
+        fn get_ptr_vector() -> UniquePtr<CxxVector<*mut C>>;
+        fn get_ptr_unique() -> UniquePtr<*mut C>;
+    }
+}
+
 fn main() {}
diff --git a/tests/ui/unsupported_ptr.stderr b/tests/ui/unsupported_ptr.stderr
index fdd704f..03756bf 100644
--- a/tests/ui/unsupported_ptr.stderr
+++ b/tests/ui/unsupported_ptr.stderr
@@ -35,3 +35,15 @@ error: unsupported reference type
    |
 26 |         fn get_reference_ptr() -> & *mut C;
    |                                   ^^^^^^^^
+
+error: unsupported vector target type
+  --> $DIR/unsupported_ptr.rs:35:42
+   |
+35 |         fn get_ptr_vector() -> UniquePtr<CxxVector<*mut C>>;
+   |                                          ^^^^^^^^^^^^^^^^^^
+
+error: unsupported unique_ptr target type
+  --> $DIR/unsupported_ptr.rs:36:32
+   |
+36 |         fn get_ptr_unique() -> UniquePtr<*mut C>;
+   |                                ^^^^^^^^^^^^^^^^^

